
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Tony Breeds <tony@bakeyournoodle.com>

It fixes 3 places where the ioctl returns positives instead of negatives. 
I've gotten feedback from the maintainer (Rogier Wolff (sp?) and he has no
objections.


---

 drivers/char/rio/rioctrl.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/rio/rioctrl.c~rioctrl-retval-fixes drivers/char/rio/rioctrl.c
--- 25/drivers/char/rio/rioctrl.c~rioctrl-retval-fixes	2004-02-26 03:06:20.000000000 -0800
+++ 25-akpm/drivers/char/rio/rioctrl.c	2004-02-26 03:06:20.000000000 -0800
@@ -522,7 +522,7 @@ RIO_DEBUG_CTRL, 				if (su)
 					else {
 		 				rio_dprintk (RIO_DEBUG_CTRL, "p->RIOBindTab full! - Rta %x not added\n",
 		  					(int) arg);
-		 				return 1;
+		 				return -ENOMEM;
 					}
 					return 0;
 				}
@@ -1593,12 +1593,12 @@ RIO_DEBUG_CTRL, 				if (su)
 			case RIO_NO_MESG:
 				if ( su )
 					 p->RIONoMessage = 1;
-				return su ? 0 : EPERM;
+				return su ? 0 : -EPERM;
 
 			case RIO_MESG:
 				if ( su )
 					p->RIONoMessage = 0;
-				return su ? 0 : EPERM;
+				return su ? 0 : -EPERM;
 
 			case RIO_WHAT_MESG:
 				if ( copyout( (caddr_t)&p->RIONoMessage, (int)arg, 

_
